#include "disa8255multi.h"  
#include <sys/ioctl.h>  /* ioctl */


int WriteIsa8255MultiCounter(int file_desc, int number,int value)
{
  int ret_val;
  ret_val = ioctl(file_desc, DISA8255MULTI_SET_REGISTER, number);
  ret_val = ioctl(file_desc, DISA8255MULTI_WRITE_COUNTER, value);
  return ret_val;
}

int ReadIsa8255MultiCounter(int file_desc, int number)
{
  int ret_val=0;
  ioctl(file_desc, DISA8255MULTI_SET_REGISTER, number);
  ioctl(file_desc, DISA8255MULTI_READ_COUNTER, &ret_val);
  return ret_val;
}

int WriteIsa8255MultiPort(int file_desc, int port,char value)
{
  int ret_val;
  ret_val = ioctl(file_desc, DISA8255MULTI_SET_REGISTER, port);
  ret_val = ioctl(file_desc, DISA8255MULTI_WRITE_PORT, value);
  return ret_val;
}

char ReadIsa8255MultiPort(int file_desc, int port)
{
  char ret_val;
  ioctl(file_desc, DISA8255MULTI_SET_REGISTER, port);
  ioctl(file_desc, DISA8255MULTI_READ_PORT, &ret_val);
  return ret_val;
}

int WriteIsa8255MultiControlWord(int file_desc, int port, char value)
{
 int ret_val;
  ret_val = ioctl(file_desc, DISA8255MULTI_SET_REGISTER, port);
  ret_val = ioctl(file_desc, DISA8255MULTI_SET_CONTROLWORD, value);
  return ret_val;
}

char ReadIsa8255MultiControlWord(int file_desc, int port)
{
  char ret_val;
  ioctl(file_desc, DISA8255MULTI_SET_REGISTER, port);
  ioctl(file_desc, DISA8255MULTI_GET_CONTROLWORD, &ret_val);
  return ret_val;
}